#
# spec file for package python-iniparse (Version 0.2.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-iniparse
BuildRequires:  python-setuptools
Version:        0.2.4
Release:        1.4
Summary:        Python Module for Accessing and Modifying Configuration Data in INI files
Group:          Development/Libraries/Python
License:        X11/MIT
Url:            http://code.google.com/p/iniparse/
Source0:        http://iniparse.googlecode.com/files/iniparse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
iniparse is an INI parser for Python which is API compatible with the
standard library's ConfigParser, preserves structure of INI files
(order of sections & options, indentation, comments, and blank lines
are preserved when data is updated), and is more convenient to use.



Authors:
--------
    Paramjit Oberoi <param.cs.wisc.edu>
    Tim Lauridsen <tla@rasmil.dk>

%prep
%setup -q -n iniparse-%{version}

%build
%{__python} setup.py build
# fixes
chmod 644 html/index.html

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT --prefix=%{_prefix}
# fixes
rm -rf $RPM_BUILD_ROOT/usr/share/doc/iniparse-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE LICENSE-PSF README html/index.html html/style.css
%{py_sitedir}/*

%changelog
* Wed Jan  7 2009 cthiel@suse.de
- initial package (version 0.2.4)
